//
// Software License for AMDiS
//
// Copyright (c) 2010 Dresden University of Technology 
// All rights reserved.
// Authors: Simon Vey, Thomas Witkowski et al.
//
// This file is part of AMDiS
//
// See also license.opensource.txt in the distribution.


#include "parallel/PetscSolverFetiTimings.h"

namespace AMDiS {

  double FetiTimings::fetiSolve = 0.0;
  double FetiTimings::fetiSolve01 = 0.0;
  double FetiTimings::fetiSolve02 = 0.0;
  double FetiTimings::fetiPreconditioner = 0.0;


  void FetiTimings::reset()
  {
    fetiSolve = 0.0;
    fetiSolve01 = 0.0;
    fetiSolve02 = 0.0;
    fetiPreconditioner = 0.0;
  }

}
